<?php

defined('ABSPATH') or die('This page may not be accessed directly.');

class CuttrSettings
{
    const OPTION_NAME = 'CuttrWPSettings';

    public static function getSettings()
    {
        $defaults = array(
            'api_key' => '',
            'replace_link_meta_publish' => false,
        );

        $settings = get_option(self::OPTION_NAME);
        if (empty($settings)) {
            $settings = array();
        }

        return apply_filters('wiiz_get_settings', array_merge($defaults, $settings));
    }

    public static function saveSettings($settings)
    {
        update_option(self::OPTION_NAME, $settings);
    }
}
