<?php

defined('ABSPATH') or die('This page may not be accessed directly.');

$settings = CuttrSettings::getSettings();
?>
<div class="wrap">
    <h1>Cuttr</h1>
    <form method="post" action="#" novalidate="novalidate">
        <?php
        wp_nonce_field(Cuttr::SAVE_SETTINGS_NONCE_ACTION, Cuttr::SAVE_SETTINGS_NONCE_KEY, true);
        ?>
        <div style="background: white; padding: 5px 15px 5px 15px; box-shadow: 2px 2px 1px rgba(0,0,0,.02); margin-bottom: 15px;">
            <table class="form-table" role="presentation">
                <tbody>
                <tr>
                    <th scope="row"><label for="cuttr_api_key">API Key</label></th>
                    <td><input name="api_key" type="text" id="cuttr_api_key" value="<?php echo esc_attr(CuttrUtils::maskApiKey($settings['api_key'])); ?>" class="regular-text"></td>
                </tr>
                <tr>
                    <th scope="row"></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"></legend>
                            <label for="cuttr_enable_remplacement">
                                <input name="replace_link_meta_publish" type="checkbox" id="cuttr_enable_remplacement" value="true" <?php if ($settings['replace_link_meta_publish']) {
                                    echo "checked";
                                } ?>> Activate link replacement in the "publish" metabox
                            </label>
                        </fieldset>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
        <p class="submit">
            <input type="submit" name="submit" id="submit" class="button button-primary" value="Save">
        </p>
    </form>
</div>
